Bug 886599 - RHQ on as7: REST api complete failure
RHQ on as7: REST api complete failure
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 11:25 EST by Heiko W. Rupp
Modified: 2013-09-03 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:41:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-12-12 11:25:01 EST
When you hit the rest-api at
e.g.

http://localhost:7080/rest/index.html you will see

--------
Error

app/rhq-enterprise-server-ejb3/RootHandlerBean -- service jboss.naming.context.java.app.rhq-enterprise-server-ejb3.RootHandlerBean
---------

Same for other rest api endpoints

The failure is triggered by 

org.rhq.enterprise.server.core.StartupBean#secureNaming

If that is commented out, the rest-api again works as expected.
Comment 1 Heiko W. Rupp 2012-12-12 11:33:22 EST
Basically what seems to happen is that resteasy scans for the rest-classes and knows (from the @Path annotation) that the RootHandlerBean -- an *interfaceless* stateless session bean is a rest endpoint implementation. 
When a request hits the servlet, resteasy tries to find the RootHandlerBean in JNDI and fails.
Comment 2 Lukas Krejci 2012-12-20 07:43:49 EST
This should be fixed in master by commits:
b62fb191a178d06fe48b47b2508fd4cb0aa039ca
e00d4e22f5e32593b366a23f908fc521be1a8f44

Note You need to log in before you can comment on or make changes to this bug.